%define upstream_name    autouse
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Postpone load of modules until a function is used
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildArch: noarch

Provides: perl(autouse)

%description
If the module 'Module' is already loaded, then the declaration

  use autouse 'Module' => qw(func1 func2($;$));

is equivalent to

  use Module qw(func1 func2);

If the module Module is not loaded yet, then the above declaration
declares functions func1() and func2() in the current package. When
these functions are called, they load the package Module if needed, and
substitute themselves with the correct definitions.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.80.0-3.mga6
+ Revision: 1022684
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.80.0-2.mga6
+ Revision: 968445
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 852475
- update to 1.08

* Mon Dec 08 2014 sander85 <sander85> 1.60.0-7.mga5
+ Revision: 802327
+ rebuild (emptylog)

* Mon Dec 08 2014 sander85 <sander85> 1.60.0-6.mga5
+ Revision: 802323
- Fix test

  + umeabot <umeabot>
    - Rebuild to potentially add missing dependencies
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 516333
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 375368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 126652
- imported package perl-autouse


* Tue Jul 19 2011 cpan2dist 1.06-1mga
- initial mageia release, generated with cpan2dist
